<!DOCTYPE html>
<html lang="es-ES">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Nota de Cuenta por Pagar</title>
<link href="../../maincss.css" rel="stylesheet" type="text/css" />
<link href="../../printcss.css" rel="stylesheet" type="text/css" media="print" />

</head>
<?php
include "../../conn.php";
include "../../class.nroenletraver2.php";
include "../../general.php";

$rep=$_GET["rep"];
$tipo=$_GET["tipo"];

//index.php?pkyAccountsPayable=2&printAccountEntry=1&user=Luigi
$cod_cxp = $_GET["pkyAccountsPayable"];
$muestra_asiento = $_GET["printAccountEntry"];
//$muestra_asiento = 1;
//$mostrar_asiento_cc = $_GET["showCC"];
$usuario = $_GET["user"];
//$n_decimales = 6;
if($rep == 1) { $muestra_cc = 1; }
if($rep == 2) { $muestra_cc = 0; }

?>
<body>

<?php
	
// Inicio impresion nota cuenta por pagar

$result3 = mysqli_query($link, "select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, a.codProductionProjection as cod_proy, d.fldName as empresa, a.codEmployee as empleado, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.fldIsPayed as pagado, 
 a.codAccountEntry as cod_asiento, a.sysEnabled as enabled, a.sysAuthorized as authorized, a.codExchangeRate as cod_tc, g.fldName as usuario_reg, a.fldParentComponent as papa, a.cosComponentKey as cod_papa, a.sysContext as cod_contexto, s.fldName as contexto, a.fldProductionPeriod as fecha_periodo_prod, a.fldBanking as cod_bancarizar, a.fldContract as nro_contrato_banc, 1 as empresaoempleado 
from payAccountsPayable a, payAccountsPayableConcept b, 
agnCompany d, actCurrency f, accGroup g, srvContext s 
where
a.codConcept = b.pkyAccountsPayableConcept and
a.codSupplier = d.pkyCompany and
a.codCurrency = f.pkyCurrency and  
a.sysAuthorizationGroup = g.pkyGroup and 
a.sysContext = s.pkyContext and 
a.pkyAccountsPayable = '$cod_cxp'

union all

select a.pkyAccountsPayable as codigo, a.fldDocumentNumber as nrodoc, a.fldDate as fecha, a.fldPaymentDate as fecha_pago, b.fldName as concepto, a.codProductionProjection as cod_proy, a.codSupplier as empresa, case when e.fldMiddleName is NULL then concat(e.fldLastName,', ',e.fldFirstName) else concat(e.fldLastName,' ',e.fldMiddleName,', ',e.fldFirstName) end as empleado, a.codCurrency as cod_moneda, f.fldName as moneda, a.txtDescription as glosa, a.fldTotal as deuda, a.fldBalance as saldo, a.fldIsPayed as pagado,  a.codAccountEntry as cod_asiento, a.sysEnabled as enabled, a.sysAuthorized as authorized, a.codExchangeRate as cod_tc, g.fldName as usuario_reg, a.fldParentComponent as papa, a.cosComponentKey as cod_papa, a.sysContext as cod_contexto, s.fldName as contexto, a.fldProductionPeriod as fecha_periodo_prod, a.fldBanking as cod_bancarizar, a.fldContract as nro_contrato_banc, 0 as empresaoempleado  
from payAccountsPayable a, payAccountsPayableConcept b, 
agnPerson e, actCurrency f, accGroup g, srvContext s
where
a.codConcept = b.pkyAccountsPayableConcept and
a.codEmployee = e.pkyPerson and
a.codCurrency = f.pkyCurrency and 
a.sysAuthorizationGroup = g.pkyGroup and 
a.sysContext = s.pkyContext and 
a.pkyAccountsPayable = '$cod_cxp';");
	while ($row = mysqli_fetch_array($result3)) {
	$codigo = $row['codigo'];
	$nro_doc = $row['nrodoc'];
	$fecha = $row['fecha'];
	$fecha_pago = $row['fecha_pago'];
	$concepto = $row['concepto'];
	$empresa = $row['empresa'];
	$empleado = $row['empleado'];
	$cod_moneda = $row['cod_moneda'];
	$moneda = $row['moneda'];
	$pagado = $row['pagado'];
	$glosa = $row['glosa'];
	$glosa = nl2br($glosa);
	$glosa = str_replace('\n','<br />',$glosa);
	$deuda = $row['deuda'];
	$saldo = $row['saldo'];
	$cod_asiento = $row['cod_asiento'];
	$cod_tc = $row['cod_tc'];
	$cod_proy = $row['cod_proy'];
	$usuario_reg = $row['usuario_reg'];
	$enabled = $row['enabled'];
	$authorized = $row['authorized'];
	$fecha_periodo_prod = $row['fecha_periodo_prod'];
	$cod_bancarizar = $row['cod_bancarizar'];
	if($cod_bancarizar == 0 ) { 
		$bancarizar = 'No';
	} else {
		$bancarizar = 'Si';
	}
	$nro_contrato_banc = $row['nro_contrato_banc'];
	$cod_contexto = $row['cod_contexto'];
	$contexto = $row['contexto'];
	$empresaoempleado = $row['empresaoempleado'];

	//para enlazar al que genero el asiento
	$papa_componente = $row['papa'];
	$papa_codigo = $row['cod_papa'];
	//$usuario = $usuario_det;
	include "../../generadopor.php";
	}
	mysqli_free_result($result3);


//proyeccion
if($cod_proy == NULL) {
	$proyeccion = ' ';
} else {
	$resultproy = mysqli_query($link, "select fldDocumentNumber as proyeccion 
								from prdProductionProjection
								where
								pkyProductionProjection = '$cod_proy' and 
								sysEnabled = 1 and sysAuthorized = 1;");
	while ($row = mysqli_fetch_array($resultproy)) {
		$proyeccion = $row['proyeccion'];
	}
	mysqli_free_result($resultproy);	
}


//calculo detalle de cxp

$result6 = mysqli_query($link, "select a.pkyAccountsPayableDetail as codigo, a.codExpensesConcept as cod_concepto, b.fldName as concepto, a.fldInvoice as cod_fac_bol, a.fldImportDocument as cod_poliza, a.codDocumentType as cod_doc, d.fldName as doc, a.fldAmount as monto
from payAccountsPayableDetail a, payExpensesConcept b, txsDocumentType d
where
a.codExpensesConcept = b.pkyExpensesConcept and
a.codDocumentType = d.pkyDocumentType and
a.codAccountsPayable = '$cod_cxp';");
$matriz_det = array();
$i = 1;
while ($row = mysqli_fetch_array($result6)) {
	$matriz_det[$i][1] = $row['codigo'];
	$matriz_det[$i][2] = $row['cod_concepto'];
	$matriz_det[$i][3] = $row['concepto'];
	$matriz_det[$i][4] = $row['cod_doc'];
	$matriz_det[$i][5] = $row['doc'];
	$matriz_det[$i][6] = $row['monto'];
	$matriz_det[$i][7] = $row['cod_fac_bol'];
	$matriz_det[$i][8] = $row['cod_poliza'];
	$i++;
	}
	mysqli_free_result($result6);

$fin_det = $i - 1;

//calculo del tc para mostrar en la cabecera
$resulttc = mysqli_query($link, "select pkyExchangeRate as cod_tc, fldDate as fecha, fldTime as hora
from
actExchangeRate
where
pkyExchangeRate = '$cod_tc' and 
sysEnabled = 1 and sysAuthorized = 1;");
while ($row = mysqli_fetch_array($resulttc)) {
	$tc_fecha = $row['fecha'];
	$tc_hora = $row['hora'];
}
mysqli_free_result($resulttc);

$resulttcdet = mysqli_query($link, "select a.pkyExchangeRateDetail as cod_tc_det, a.codBaseCurrency as cod_mon_target, b.fldName as mon_target, b.txtDescription as nom_mon_target, a.codTargetCurrency as cod_mon_base, c.fldName as mon_base, c.txtDescription as nom_mon_base, a.fldRate as tasa
from
actExchangeRateDetail a, actCurrency b, actCurrency c
where
a.codExchangeRate = '$cod_tc' and 
a.codBaseCurrency = '$cod_moneda_principal' and 
a.codBaseCurrency = b.pkyCurrency and 
a.codTargetCurrency = c.pkyCurrency 
order by cod_mon_target;");
$ma_tc = array();
$m = 1;
while ($row = mysqli_fetch_array($resulttcdet)) {
	$ma_tc [$m][1] = $row['mon_base'];
	$ma_tc [$m][2] = $row['mon_target'];
	$ma_tc [$m][3] = $row['tasa'];
	$m++;
}
mysqli_free_result($resulttcdet);
$fin_m = $m - 1;

//calculo de la suma de retenciones para la cabecera
$result7 = mysqli_query($link, "select a.pkyRetentionDetail as codigo, 
a.codAccountsPayableDetail as cod_cxp_det, a.codAccountsPayable as cod_cxp, 
a.codType as cod_tipo, b.fldName as tipo, a.fldPercent as porcentaje, a.fldTotal as total
from
txsRetentionDetail a, txsRetentionType b 
where 
a.codType = b.pkyRetentionType and 
a.codAccountsPayable = '$cod_cxp';");
$i = 1;
$retenciones_total = 0;
while ($row = mysqli_fetch_array($result7)) {
	$retenciones_total = $retenciones_total + $row['total'];
	$i++;
	}
	mysqli_free_result($result7);

?>
<table border="0" align="left" width="100%" cellpadding="5">
<tr><td><?php echo $mostrar_logo_reportes; ?>
</td><td align="right"><b>Fecha: <?php echo date("Y-m-d"); ?><br/>Hora: <?php echo date("H:i:s"); ?><br/>Usuario: <?php echo $usuario; ?></b>
</td></tr></table><br/>

<p><br /><center><font color="#000099" size="+1"><b><a href="../../ModulePayments/ReportAccountsPayable/report.php?rep=5&tipo=2&cod_cxp=<?php echo $cod_cxp; ?>&empresa=<?php echo $empresaoempleado; ?>&otra_moneda_det=0&contexto_det=<?php echo $cod_contexto; ?>&usuario_det=<?php echo $usuario; ?>" title="Kardex de Cuenta por Pagar" style="text-decoration:none; color:#000099; font-size:18px; font-style:normal;">Nota de Cuenta por Pagar</a></b></font></center></p>

<table border="0" cellpadding="2" align="center" width="100%">
<tr>
<td>
    <table border="1" align="center" cellpadding="2" width="100%">
        <TR> 
        <TD width="25%"><b>Cod. Reg.: </b><?php echo $codigo; ?></TD>
        <TD width="25%"><b>Nro. Doc.: </b><?php echo $nro_doc; ?></TD>
        <TD width="25%"><b>Moneda: </b><?php echo $moneda; ?></TD>
        <TD width="25%"><b>Fecha de Reg.: </b><?php echo $fecha; ?></TD>
        </TR>
        
        <TR> 
        <TD><b>Concepto: </b><?php echo $concepto; ?></TD>
        <?php if($empresa != NULL) { ?>
        <TD><b>Empresa: </b><?php echo $empresa; ?></TD>
        <?php } else { ?>
        <TD><b>Empleado: </b><?php echo $empleado; ?></TD>
        <?php } ?>
        <TD><b>Proyecci&oacute;n: </b><a href="../../ModuleProduction/VoucherProductionProjection/index.php?pkyProductionProjection=<?php echo $cod_proy; ?>&user=<?php echo $usuario; ?>" title="Proyecci&oacute;n de Producci&oacute;n"><?php echo $cod_proy; ?></a> - <?php echo $proyeccion; ?></TD>
        <TD><b>Fecha Prog. Pago: </b><?php echo $fecha_pago; ?></TD>
        </TR>
        
        <TR>
        <TD><b>Asiento: </b><a href="../../ModuleAccounting/VoucherAccountEntry/index.php?pkyAccountEntry=<?php echo $cod_asiento; ?>&showCC=<?php echo $mostrar_asiento_cc; ?>&user=<?php echo $usuario; ?>" title="Asiento Contable"><?php echo $cod_asiento; ?></a></TD>
        <TD><b>Retenciones: </b><?php echo number_format($retenciones_total, $n_decimales); ?></TD>
        <TD><b>Deuda: </b><?php echo number_format($deuda, $n_decimales); ?></TD>
        <TD><b>Saldo: </b><?php echo number_format($saldo, $n_decimales); ?></TD>
        </TR>
        
        <TR> 
        <TD colspan="2"><b>Bancarizar: </b><?php echo $bancarizar; ?></TD>
        <TD colspan="2"><b>Nro. Contrato Bancarizar: </b><?php echo $nro_contrato_banc; ?></TD>
        </TR>
        
        <TR> 
        <TD colspan="2"><b>Contexto: </b><?php echo $cod_contexto; ?> - <?php echo $contexto; ?></TD>
        <TD><b>Priodo de Producci&oacute;n: </b><?php echo substr($fecha_periodo_prod,0,7); ?></TD>
        <TD><b>Generado Por: </b><?php echo $papa_enlace; ?></TD>
        </TR>
        
        <TR> 
        <TD colspan="4"><b>Glosa: </b><?php echo $glosa; ?></TD>
        </TR>
    </table>

</td>
<td valign="top" width="150">

    <table border="1" align="center" cellpadding="2" width="100%">
    <tr>
    <TD><b>Tipo de Cambio:</b></TD>
    </tr><tr>
    <TD align="center"><a href="../../ModuleAccounting/VoucherExchangeRate/index.php?pkyExchangeRate=<?php echo $cod_tc; ?>&user=<?php echo $usuario; ?>" title="Tipo de Cambio"><?php echo $cod_tc; ?></a> (<?php echo $tc_fecha; ?> - <?php echo $tc_hora; ?>)<br/ >
        <table border="0" cellpadding="2" align="center">
            <?php
            for($m = 1; $m <= $fin_m; $m++) {
            printf("<tr><td align='left'>1 %s</td>", $ma_tc [$m][1]);//moneda base
            printf("<td align='center'>%s</td>", ' = ');//letra a
            printf("<td align='left'>%s %s</td>", number_format($ma_tc [$m][3],$n_tipocambio), $ma_tc [$m][2]);//moneda target y tasa
            //printf("<td align='right'>%s</td></tr>", number_format($ma_tc [$m][3],$n_tipocambio));//tasa
            }
            ?>
        </table>
    </TD>
    </tr>
	</table>
    
</td>
</tr>
</table>

<br />

<table border="1" align="center" cellpadding="2" width="100%">
<thead>
 	<TR> 
    <TD align="center" width="50"><b>Cod.</b></TD>
    <TD align="center" width="180"><b>Concepto de Gasto</b></TD>
    <TD align="center"><b>Documento</b></TD>
    <TD align="center" width="85"><b>Monto</b></TD>
    </TR>
	</thead>
	<tbody class="marcafila">
    <?php
    $color = 2;
	$suma_det = 0;
	
	for ($i = 1; $i <= $fin_det; $i++){ //for detalle
		$cod_detalle = $matriz_det[$i][1];
		$cod_tipo_doc = $matriz_det[$i][4];
		if($cod_tipo_doc == 3) {//if 3
			$result7 = mysqli_query($link, "select a.pkyRetentionDetail as codigo, a.codType as cod_tipo, 
						b.fldName as tipo, a.fldPercent as porcentaje, a.fldTotal as total
						from txsRetentionDetail a, txsRetentionType b
						where
						a.codType = b.pkyRetentionType and
						a.codAccountsPayableDetail = '$cod_detalle';");
			$matriz_ret = array();
			$c = 1;
			while ($row = mysqli_fetch_array($result7)) {
			$matriz_ret [$c][1] = $row['codigo'];
			$matriz_ret [$c][2] = $row['tipo'];
			$matriz_ret [$c][3] = $row['porcentaje'];
			$matriz_ret [$c][4] = $row['total'];
			//echo $matriz_ret [$c][1];
			//$matriz_ret [$c][4] = $row['porcentaje'] / 100 * $debe_;
			//$matriz_ret [$c][5] = $row['porcentaje'] / 100 * $haber_;
			$c++;
			}
			mysqli_free_result($result7);
			$fin_ret = $c - 1;
		}//fin if 3
			
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $matriz_det[$i][1]);//cod 
		} else {
		printf("<tr><td align='center'>%s</td>", $matriz_det[$i][1]);//cod
		} //cierra if color
		printf("<td align='left'>%s</td>", $matriz_det[$i][3]);//concepto
		$fac_bol = $matriz_det[$i][7];
		$cod_poliza = $matriz_det[$i][8];
		
		//tiene factura
		if($cod_tipo_doc == 1 || $cod_tipo_doc == 7) {//if 1
			$result9 = mysqli_query($link, "select fldNumber as nro_fac, fldName as nombre, fldNIT as nit
									from txsPurchasesLedger
									where
									pkyPurchasesLedger = '$fac_bol';");
			while ($row = mysqli_fetch_array($result9)) {
			$fac_gasto = $row['nro_fac'];
			$emp_gasto = $row['nombre'];
			$nit_gasto = $row['nit'];
			}
			mysqli_free_result($result9);
			$datos_fac = ' - <a href="../../ModuleTaxes/VoucherPurchasesLedger/index.php?pkyPurchasesLedger='.$fac_bol.'&user='.$usuario.'" title="Factura de Compra">'.$fac_bol.'</a> Nro: '.$fac_gasto.' NIT: '.$nit_gasto.' Emp: '.$emp_gasto;
		}//if 1
		//tiene boleto
		if($cod_tipo_doc == 5) {//if 5
			$result10 = mysqli_query($link, "select fldNumber as nro_bol, fldName as nombre, fldNIT as nit
									from txsTicket
									where
									pkyTicket = '$fac_bol';");
			while ($row = mysqli_fetch_array($result10)) {
			$no_boleto = $row['nro_bol'];
			$emp_boleto = $row['nombre'];
			$nit_boleto = $row['nit'];
			}
			mysqli_free_result($result10);
			$datos_fac = ' - <a href="../../ModuleTaxes/VoucherTicket/index.php?pkyTicket='.$fac_bol.'&user='.$usuario.'" title="Boleto A&eacute;reo">'.$fac_bol.'</a> Nro: '.$no_boleto.' NIT: '.$nit_boleto.' Emp: '.$emp_boleto;
		}//if 5
		//tiene poliza
		if($cod_tipo_doc == 4) {//if 4
			$result11 = mysqli_query($link, "select fldNumber as nro_pol, fldName as nombre, fldNIT as nit
									from pchImportDocument
									where
									pkyImportDocument = '$cod_poliza';");
			while ($row = mysqli_fetch_array($result11)) {
			$no_poliza = $row['nro_pol'];
			$emp_poliza = $row['nombre'];
			$nit_poliza = $row['nit'];
			}
			mysqli_free_result($result11);
			$datos_fac = ' - <a href="../../ModulePurchases/VoucherImportDocument/index.php?pkyImportDocument='.$cod_poliza.'&user='.$usuario.'" title="Poliza">'.$cod_poliza.'</a> Nro: '.$no_poliza.' NIT: '.$nit_poliza.' Emp: '.$emp_poliza;
		}//if 4
		//no tiene o posterior o retencion
		if($cod_tipo_doc == 2 || $cod_tipo_doc == 3 || $cod_tipo_doc == 6) {//if 236
			$datos_fac = ' ';
		}//fin if 236
		
		if($fin_ret == 0) { //if ret 0
		printf("<td align='left'>%s%s</td>", $matriz_det[$i][5],$datos_fac);//documento
		} else {
			$sum_ret = 0;
			echo "<td align='left'>" .$matriz_det[$i][5].$datos_fac. "<br/>&nbsp;&nbsp;&nbsp;&nbsp;".number_format($matriz_det[$i][6], $n_decimales)."<br/>";//documento
			echo "<table border='0' align='left' cellpadding='2'><tr>";
				for($c = 1; $c <= $fin_ret; $c++){//for $c
				echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_ret [$c][2]. "</td>";
				echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_ret [$c][3], $n_descuento). "%" . "</td>";
				echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_ret [$c][4], $n_decimales). "</td>";
				$sum_ret = $sum_ret + $matriz_ret [$c][4];
				echo "</tr>";
				}//fin for $c
			echo "<tr><td colspan='2'>&nbsp;</td>";
			echo "<td align='right'><HR width='90%' align='right'>" . "</td>";
			echo "<tr><td colspan='2'>&nbsp;</td>";
			echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($sum_ret, $n_decimales). "</td></tr>";
			echo "</table></td>";
			$matriz_det[$i][6] = $matriz_det[$i][6] - $sum_ret;
			$fin_ret = 0;
		} //fin ret 0
		printf("<td align='right'>%s</td></tr>", number_format($matriz_det[$i][6], $n_decimales));//monto
		$suma_det = $suma_det + $matriz_det[$i][6];
		$color++;
	}//fin for detalle
	
	//convierte el total en literal
	$letras=new NroEnLetra($suma_det,2);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	$resultmoneda = mysqli_query($link, "select txtDescription as nom_moneda
	from actCurrency
	where
	pkyCurrency = '$cod_moneda';");
	while ($row = mysqli_fetch_array($resultmoneda)) {
		$nom_moneda_letras_tot = $row['nom_moneda'];
	}
	mysqli_free_result($resultmoneda);
?>        
	<tr BGCOLOR='#ffcccc'><td colspan="3"><b>Total &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo $mostrar_letras; ?> <?php echo $nom_moneda_letras_tot; ?></b></td>
    <td align="right"><b><?php echo number_format($suma_det, $n_decimales); ?></b></td>
    </tr>
	</tbody>
</table>
<br />
<?php
    if($pagado == 1){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+4'><b>PAGADO</b></font></td></tr></table>");
			}
	if($enabled == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO ANULADO</font></td></tr></table>");
			}
	if($authorized == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>REGISTRO PENDIENTE DE AUTORIZACI&Oacute;N</font></td></tr></table>");
			}
?>

<?php
if($muestra_asiento == 1) {//if muestra_asiento 1
	
	if($cod_asiento != NULL){//if cod_asiento
		$result3 = mysqli_query($link, "select a.pkyAccountEntry as cod_mov_det, a.fldTransactionNumber as nro_trans, a.fldDocumentNumber as nro_doc, a.fldDate as fecha, b.fldName as tipo, a.codExchangeRate as cod_tc, a.txtDescription as glosa, a.sysEnabled as enabled, a.sysAuthorized as authorized
from actAccountEntry a, actAccountEntryType b
where
a.pkyAccountEntry = '$cod_asiento' and
a.codType = b.pkyAccountEntryType;");
		while ($row = mysqli_fetch_array($result3)) {
		$cod_asiento2 = $row['cod_mov_det'];
		$nro_trans2 = $row['nro_trans'];
		$nro_doc2 = $row['nro_doc'];
		$fecha_asiento2 = $row['fecha'];
		$tipo_asiento2 = $row['tipo'];
		$cod_tc2 = $row['cod_tc'];
		$glosa2 = $row['glosa'];
		$glosa2 = nl2br($glosa2);
		$glosa2 = str_replace('\n','<br />',$glosa2);
		$enabled2 = $row['enabled'];
		$authorized2 = $row['authorized'];
		}
		mysqli_free_result($result3);
		
		$result6 = mysqli_query($link, "select a.pkyAccountEntryDetail as cod_asiento_det, a.codAccountEntry as cod_asiento, a.codAccount as cod_cuenta, b.fldName as nom_cuenta, a.fldDebit as debe, a.fldCredit as haber
from actAccountEntryDetail a, actAccount b
where
a.codAccountEntry = '$cod_asiento2' and
a.codAccount = b.pkyAccount 
order by haber, cod_asiento_det;");

		if($muestra_cc == 1){
		$texto_asiento = '<a href="../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable='.$cod_cxp.'&printAccountEntry=1&rep=2&user='.$usuario.'" title="Asiento Contable, Sin Centros de Costo" style="text-decoration:none; color:#000099; font-style:normal;">Asiento Contable, Con Centros de Costo</a>';
		} else {
		$texto_asiento = '<a href="../../ModulePayments/VoucherAccountsPayable/index.php?pkyAccountsPayable='.$cod_cxp.'&printAccountEntry=1&rep=1&user='.$usuario.'" title="Asiento Contable, Con Centros de Costo" style="text-decoration:none; color:#000099; font-style:normal;">Asiento Contable</a>';
		}
				
		$control_vista_asiento = 1;
	} else {//else cod_asiento
		$texto_asiento = "Asiento Contable<br /><br /><table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>NO EXISTE ASIENTO CONTABLE ASOCIADO A ESTE MOVIMIENTO</font></td></tr></table>";
		$enabled2 = 1;
		$authorized2 = 1;
		$control_vista_asiento = 0;
	}//fin if else cod_asiento
	
	
?>
<p>&nbsp;</p>
<p><center><font color="#000099"><b><?php echo $texto_asiento; ?></b></font></center></p>
<?php
if($control_vista_asiento == 1) {//if $control_vista_asiento = 1
?>
<table border="1" align="center" cellpadding="2" width="100%">
	<TR> 
	<TD width="25%"><b>Cod. Reg.: </b><?php echo $cod_asiento2; ?></TD>
    <TD width="25%"><b>Nro. Doc.: </b><?php echo $nro_doc2; ?></TD>
    <TD width="25%"><b>Moneda: </b><?php echo $nom_moneda_principal; ?></TD>
    <TD width="25%"><b>Fecha de Reg.: </b><?php echo $fecha_asiento2; ?></TD>
    </TR>
    <TR>
    <TD colspan="2"><b>Tipo de Asiento: </b><?php echo $tipo_asiento2; ?></TD>
    <TD colspan="2"><b>Nro. Transacci&oacute;n: </b><?php echo $nro_trans2; ?></TD>
    </TR>
    <TR>
    <TD colspan="4"><b>Glosa: </b><?php echo $glosa2; ?></TD>
    </tr>
</table>

<br />
<table border="1" align="center" cellpadding="2" width="100%">
 	<thead>
    <TR> 
    <TD align="center"><b>Cod.</b></TD>
    <TD align="center"><b>Cod. Asiento</b></TD>
    <TD align="center"><b>Cod. Cuenta</b></TD>
    <TD align="center"><b>Cuenta</b></TD>
    <TD align="center"><b>Debe</b></TD>
    <TD align="center"><b>Haber</b></TD>
    </TR>
    </thead>
    <tbody class="marcafila">
    <?php
    $color = 2;
	$suma_debe = 0;
	$suma_haber = 0;
	while ($row = mysqli_fetch_array($result6)) { //while 6
		$cod_detalle_ = $row['cod_asiento_det'];
		$cod_asiento_ = $row['cod_asiento'];//cod asiento
		$cod_cuenta_ = $row['cod_cuenta'];//cod cuenta
		$nom_cuenta_ = $row['nom_cuenta'];//nombre cuenta
		if($mi_cod_pais == 1) {
		$debe_ = $row['debe'];
		$haber_ = $row['haber'];
		}
		if($mi_cod_pais == 176) {
		$debe_ = round($row['debe'], $n_decimales);
		$haber_ = round($row['haber'], $n_decimales);
		}
			$result7 = mysqli_query($link, "select a.codCostCenter as cod_cc, b.fldName as nombre,
			a.fldPercent as porcentaje
			from
			actAccountEntryDetailCC a, actCostCenter b
			where
			a.codAccountEntryDetail = '$cod_detalle_' and 
			a.codCostCenter = b.pkyCostCenter;");
			$matriz_cc = array();
			$c = 1;
			while ($row = mysqli_fetch_array($result7)) {
			$matriz_cc [$c][1] = $row['cod_cc'];
			$matriz_cc [$c][2] = $row['nombre'];
			$matriz_cc [$c][3] = $row['porcentaje'];
			$matriz_cc [$c][4] = $row['porcentaje'] / 100 * $debe_;
			$matriz_cc [$c][5] = $row['porcentaje'] / 100 * $haber_;
			$c++;
			}
			mysqli_free_result($result7);
			$fin_cc = $c - 1;
			
		if($color % 2 == 0) { //if color
		printf("<tr BGCOLOR='#e2e7fa'><td align='center'>%s</td>", $cod_detalle_);//cod 
		} else {
		printf("<tr><td align='center'>%s</td>", $cod_detalle_);//cod
		} //cierra if color
		printf("<td align='center'>%s</td>", $cod_asiento_);//cod asiento
		printf("<td align='center'>%s</td>", $cod_cuenta_);//cod cuenta
		if($muestra_cc == 0) {//if muestra_cc = 0
			if($haber_ == 0) { //if identado haber
				printf("<td align='left'>%s</td>", $nom_cuenta_);//nombre cuenta
			} else {
				printf("<td align='left'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;%s</td>", $nom_cuenta_);//nombre cuenta
			} //fin if identado haber
		} else {
			$sum_porc_cc = 0;
			$sum_cc = 0;
			if($haber_ == 0) { //if identado haber2
				echo "<td align='left'>" .$nom_cuenta_. "<br/>";
			} else {
				echo "<td align='left'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$nom_cuenta_. "<br/>";
			} //fin if identado haber2
			echo "<table border='0' align='left' cellpadding='2'><tr>";
			for($c = 1; $c <= $fin_cc; $c++){//for $c
			echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][1]. "</td>";
			echo "<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;" .$matriz_cc [$c][2]. "</td>";
			echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][3], $n_descuento). "%" . "</td>";
			if($matriz_cc [$c][4] != 0){
			echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][4], $n_decimales). "</td>";
			$sum_cc = $sum_cc + $matriz_cc [$c][4];
			} else {
			echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($matriz_cc [$c][5], $n_decimales). "</td>";
			$sum_cc = $sum_cc + $matriz_cc [$c][5];
			}
			echo "</tr>";
			$sum_porc_cc = $sum_porc_cc + $matriz_cc [$c][3];
			
			}//fin for $c
			echo "<tr><td colspan='2'>&nbsp;</td>";
			echo "<td align='right'><HR width='90%' align='right'>" . "</td>";
			echo "<td align='right'><HR width='90%' align='right'>" . "</td>";
			echo "<tr><td colspan='2'>&nbsp;</td>";
			echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($sum_porc_cc, $n_descuento). "%" . "</td>";
			echo "<td align='right'>&nbsp;&nbsp;&nbsp;&nbsp;" .number_format($sum_cc, $n_decimales). "</td></tr>";
			echo "</table></td>";
		}//fin if muestra_cc = 0
		printf("<td align='right'>%s</td>", number_format($debe_, $n_decimales));//debe
		printf("<td align='right'>%s</td></tr>", number_format($haber_, $n_decimales));//haber
		
		$suma_debe = $suma_debe + $debe_;
		$suma_haber = $suma_haber + $haber_;
		$color++;
	}//fin while 6
	mysqli_free_result($result6);
	
	//convierte el total en literal
	$letras=new NroEnLetra($suma_debe,2);
	
	$mostrar_letras = ucfirst($letras->getLetra());
	
	$busca_espacio = substr($mostrar_letras,-6,1);
	if($busca_espacio == ' ') {
		$fin_letras = substr($mostrar_letras,-5);
		$mostrar_letras = substr($mostrar_letras,0,-5);
		$mostrar_letras = $mostrar_letras .'0'. $fin_letras;
	}
	?>
	<tr BGCOLOR='#ffcccc'><td colspan="4"><b>Total &nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <?php echo $mostrar_letras; ?> <?php echo $nom_moneda_letras; ?></b></td>
    <td align="right"><b><?php echo number_format($suma_debe, $n_decimales); ?></b></td>
    <td align="right"><b><?php echo number_format($suma_haber, $n_decimales); ?></b></td>
    </tr>
</tbody>    
</table>
<br />

<?php
    if($enabled2 == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>ASIENTO ANULADO</font></td></tr></table>");
			}
	if($authorized2 == 0){
				printf("<table border='0' align='center' cellpadding='2' width='600'><tr><td align='center'><font color='#FF0000' size='+1'>ASIENTO PENDIENTE DE AUTORIZACI&Oacute;N</font></td></tr></table>");
			}
	} //fin if $control_vista_asiento = 1
}//fin if muestra_asiento 1
?>

<p>&nbsp;</p>
<br /><br /><br />
<table border="0" align="center" cellpadding="2" width="90%">
<tr>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
<td align="center">----------------------------------------</td>
</tr><tr>
<td align="center">Elaborado por: <?php echo $usuario_reg; ?></td>
<td align="center"><?php echo $firma_contabilidad; ?></td>
<td align="center"><?php echo $firma_gerencia; ?></td>
<td align="center"><?php echo $firma_interesado; ?></td>
</tr><tr>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
<td align="left">Nombre:__________________________</td>
</tr><tr>
<td align="left"><?php echo $firma_ci; ?></td>
<td align="left"><?php echo $firma_ci; ?></td>
<td align="left"><?php echo $firma_ci; ?></td>
<td align="left">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;C.I.:__________________________</td>
</tr>
</table>

</body>
</html>
